Name: rasterview
Summary: CUPS raster file viewer
Version: 1.3
Release: 9%{?dist}
License: GPLv2+
Group: Applications/Publishing
Source: http://www.easysw.com/~mike/rasterview/rasterview-%{version}.tar.gz
Url: http://www.easysw.com/~mike/rasterview/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fltk-devel
BuildRequires: cups-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: zlib-devel
BuildRequires: desktop-file-utils >= 0.2.92

Patch1: rasterview-desktop-file.patch
Patch2: rasterview-build.patch

%description
CUPS uses an intermediate format called raster for inkjet printers and
others that require rasterized input.  This program can be used to
view this intermediate format and is mainly used for debugging printer
drivers.

%prep
%setup -q

# Fixes for desktop file.
%patch1 -p1 -b .desktop-file

# Make it build.
%patch2 -p1 -b .build

%build
%configure
make

%install
rm -rf %{buildroot}
make BUILDROOT=%{buildroot} INSTALL='install -p' install

rm -rf %{buildroot}%{_sysconfdir}/X11/applnk
rm -f %{buildroot}%{_datadir}/applnk/Development/rasterview.desktop
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category System \
	rasterview.desktop

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/rasterview
%{_datadir}/icons/hicolor/*/apps/rasterview.png
%{_datadir}/mimelnk/application/vnd.cups-raster.desktop
%{_datadir}/mimelnk/image/pwg-raster.desktop
%{_datadir}/applications/*.desktop

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 31 2011 Tim Waugh <twaugh@redhat.com> - 1.3-3
- Rebuilt against new fltk.

* Fri May 20 2011 Tim Waugh <twaugh@redhat.com> - 1.3-2
- Bumped release.

* Fri May 20 2011 Tim Waugh <twaugh@redhat.com> - 1.3-1
- 1.3.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan  6 2010 Tim Waugh <twaugh@redhat.com> - 1.2.1-3
- Changed default file attributes specification.
- Update MIME and desktop databases in %%post and %%postun.

* Wed Jan  6 2010 Tim Waugh <twaugh@redhat.com> - 1.2.1-2
- Removed unpackaged files and added build requirements (from package
  review bug #552610).

* Mon Dec 14 2009 Tim Waugh <twaugh@redhat.com> - 1.2.1-1
- Initial package.
